<?php
class Usuario
{

    public static function logar($email, $senha)
    {
        $sql = Mysql::conectar()->prepare('SELECT * FROM usuarios WHERE email = ? AND senha = ?');
        $sql->execute(array($email, $senha));

        $fetchUsuario = $sql->fetch(PDO::FETCH_ASSOC);
        if ($sql->rowCount() == 1) {

            if ($fetchUsuario['verificado'] == 'false') {
                $_SESSION['id'] = $fetchUsuario['id'];
                echo 'nao verificado';
                header('Location: dashboard');
                exit;
            } else {
                $_SESSION['id'] = $fetchUsuario['id'];
                $_SESSION['nome'] = $fetchUsuario['nome'];
                $_SESSION['sobrenome'] = $fetchUsuario['sobrenome'];
                $_SESSION['email'] = $fetchUsuario['email'];
                $_SESSION['cpf'] = $fetchUsuario['cpf'];
                $_SESSION['telefone'] = $fetchUsuario['telefone'];
                $_SESSION['saldo'] = $fetchUsuario['saldo'];
                $_SESSION['logado'] = true;
                $_SESSION['caminhoimg'] = $fetchUsuario['caminhoimg'];
                $_SESSION['banco'] = $fetchUsuario['banco'];
                $_SESSION['chave'] = $fetchUsuario['chave'];
                $_SESSION['nplano'] = $fetchUsuario['nplano'];
                $_SESSION['id_conta'] = $fetchUsuario['id_conta'];
                header('Location: dashboard');
            }
        } else {
            echo 'Usuario ou senha incorretos';
        }
    }

    public static function logado()
    {
        if (isset($_SESSION['logado'])) {
            return true;
        } else {
            return null;
        }
    }


    public static function criarUsuario($nome, $sobrenome, $email, $senha, $chave, $cpf, $telefone, $banco, $saldo, $saldo_futuro, $copiaecola, $vencimento, $plano, $nplano, $verificado, $codigo, $investimento,$status)

    {
        $id_conta = rand(123456789,999999999);
        $cpf = preg_replace('/[^0-9]/', '', $cpf);
        $sql = Mysql::conectar()->prepare("INSERT INTO usuarios (id,nome,sobrenome,email,senha,chave,cpf,telefone,banco,saldo,saldo_futuro,copiaecola,vencimento,plano,nplano,verificado,codigo,investimento,status,assinado,caminhoimg,id_conta) VALUES (null,?,?,?,?,?,?,?,?,?,?,?,?,?,?,?,?,?,?,?,?,?)");
        $sql->execute(array($nome, $sobrenome, $email, $senha, $chave, $cpf, $telefone, $banco, $saldo, $saldo_futuro, $copiaecola, $vencimento, $plano, $nplano, $verificado, $codigo, $investimento,$status,'false','',$id_conta));
    }

    public static function createUser($email, $senha, $telefone, $banco, $chave, $nome, $sobrenome, $cpf, $plano, $codigo)
    {
        $cpf = preg_replace('/[^0-9]/', '', $cpf);
        $sql = Mysql::conectar()->prepare("INSERT INTO usuarios (id,nome,sobrenome,plano,email,senha,chave,cpf,telefone,banco,saldo,codigo,saldo_futuro,copiaecola,verificado) VALUES (null,?,?,?,?,?,?,?,?,?,?,?,?,?)");
        $sql->execute(array($nome, $sobrenome, $plano, $email, $senha, $chave, $cpf, $telefone, $banco, $codigo, 0, 0, "", 'false'));
    }


    public static function getName($id)
    {
        $sql = Mysql::conectar()->prepare('SELECT nome FROM usuarios WHERE id = ?');
        $sql->execute(array($id));
        $user = $sql->fetch(PDO::FETCH_ASSOC);
        return $user['nome'];
    }

    public static function getAmount($id)
    {
        $sql = Mysql::conectar()->prepare('SELECT saldo FROM usuarios WHERE id = ?');
        $sql->execute(array($id));
        $user = $sql->fetch(PDO::FETCH_ASSOC);
        return $user['saldo'];
    }

    public static function getQrPix($id)
    {
        $sql = Mysql::conectar()->prepare("SELECT * FROM usuarios WHERE id = ?");
        $sql->execute(array($id));
        $user = $sql->fetch(PDO::FETCH_ASSOC);
        $qr = $user['copiaecola'];
        return $qr;
    }


    public static function setVerify($id)
    {
        $sql = Mysql::conectar()->prepare("UPDATE usuarios SET verificado = ? WHERE id = ?");
        $sql->execute(array('true', $id));
        $_SESSION['logado'] = true;
        header('Location: dashboard');
    }

    public static function getInvestimento($id){
        $sql = Mysql::conectar()->prepare('SELECT investimento FROM usuarios WHERE id = ?');
        $sql->execute(array($id));
        $user = $sql->fetch(PDO::FETCH_ASSOC);
        return $user['investimento'];
    }

    public static function setSaldo($id,$investimento){
        $sql = Mysql::conectar()->prepare("UPDATE usuarios SET saldo = ?, saldo_futuro = ? WHERE id = ?");
        $sql->execute(array($investimento, $investimento, $id));
        header('Location: dashboard');
    }


    public static function getSaldoH($id){
        $sql = Mysql::conectar()->prepare('SELECT * FROM usuarios WHERE id = ?');
        $sql->execute(array($id));
        $user = $sql->fetch(PDO::FETCH_ASSOC);
        $vencimento = $user['vencimento'];

        if(time() > $vencimento && $vencimento != 0 ){
            //echo 'ja venceu';
            
            $saldonovo = $user['saldo'] + $user['saldo_futuro'];

            $sql = Mysql::conectar()->prepare("UPDATE usuarios SET saldo = ?, saldo_futuro = ?, status = ? WHERE id = ?");
            $sql->execute(array($saldonovo, 0,'finalizado', $id));
            //echo 'saldo atual: '. $saldonovo;
            return $user['saldo'];
        }else{
            return $user['saldo'];           
        }
    }

    public static function getSaldoFuturo($id){
        $sql = Mysql::conectar()->prepare('SELECT * FROM usuarios WHERE id = ?');
        $sql->execute(array($id));
        $user = $sql->fetch(PDO::FETCH_ASSOC);
        $saldo_futuro = $user['saldo_futuro'];
        return $saldo_futuro;
    }


    public static function setVencimento($id){
        $vencimento = time()+900;
        $sql = Mysql::conectar()->prepare("UPDATE usuarios SET vencimento = ? WHERE id = ?");
        $sql->execute(array( $vencimento, $id));
    }

    public static function verificaPlano($id){
        $sql = Mysql::conectar()->prepare('SELECT * FROM usuarios WHERE id = ?');
        $sql->execute(array($id));
        $user = $sql->fetch(PDO::FETCH_ASSOC);
        if($user['plano'] == 'true'){
            echo 'voce ja fez o investimento';
        }else{
            echo 'voce ainda nao fez investimento';
        }
    }   

    public static function setStatus($id,$status){
        $sql = Mysql::conectar()->prepare("UPDATE usuarios SET status = ? WHERE id = ?");
        $sql->execute(array( $status, $id));
    }

    public static function getStatus($id){
        $sql = Mysql::conectar()->prepare('SELECT * FROM usuarios WHERE id = ?');
        $sql->execute(array($id));
        $user = $sql->fetch(PDO::FETCH_ASSOC);
        return $user['status'];
    }

    public static function verificaAssinatura($id){

        $sql = Mysql::conectar()->prepare('SELECT * FROM usuarios WHERE id = ?');
        $sql->execute(array($id));
        $user = $sql->fetch(PDO::FETCH_ASSOC);

        return $user['assinado'];
    }

    public static function setCaminhoImg($id,$caminho){
        $sql = Mysql::conectar()->prepare("UPDATE usuarios SET caminhoimg = ?, assinado = ? WHERE id = ?");
        $sql->execute(array($caminho,'true', $id));
        header('Location: dashboard');
    }

    public static function getAssinaturaImg($id){
        $sql = Mysql::conectar()->prepare('SELECT * FROM usuarios WHERE id = ?');
        $sql->execute(array($id));
        $user = $sql->fetch(PDO::FETCH_ASSOC);

        return $user['caminhoimg'];
    }
    
    public static function getUsuario($id){
        $sql = Mysql::conectar()->prepare('SELECT * FROM usuarios WHERE id = ?');
        $sql->execute(array($id));
        $user = $sql->fetch(PDO::FETCH_ASSOC);

        return $user;
    }
}
