<!DOCTYPE html>
<html>

<head>
   <meta name="viewport" content="width=device-width, initial-scale=1">
   <meta charset="utf-8">
   <meta http-equiv="X-UA-Compatible" content="IE=edge">
   <title>Assinatura</title>

   <!-- FONTE GOOGLE -->
   <link rel="preconnect" href="https://fonts.googleapis.com">
   <link rel="preconnect" href="https://fonts.gstatic.com" crossorigin>
   <link href="https://fonts.googleapis.com/css2?family=Inter:ital,opsz,wght@0,14..32,100..900;1,14..32,100..900&display=swap" rel="stylesheet">

   <!-- BOOTSTRAP  -->

   <link rel="stylesheet" href="https://cdn.jsdelivr.net/npm/bootstrap@4.6.2/dist/css/bootstrap.min.css" integrity="sha384-xOolHFLEh07PJGoPkLv1IbcEPTNtaed2xpHsD9ESMhqIYd0nLMwNLD69Npy4HI+N" crossorigin="anonymous">
   <script src="https://cdn.jsdelivr.net/npm/bootstrap@4.6.2/dist/js/bootstrap.bundle.min.js" integrity="sha384-Fy6S3B9q64WdZWQUiU+q4/2Lc9npb8tCaSX9FK7E8HnRr0Jz8D6OP9dO5Vg3Q9ct" crossorigin="anonymous"></script>
   <script type="text/javascript" src="assets/js/signature.js"></script>
   <style>
      body {
         padding: 0px 5px;
      }

      #note {
         position: absolute;
         left: 50px;
         top: 35px;
         padding: 0px;
         margin: 0px;
         cursor: default;
      }
   </style>
</head>

<body>

   <div style="font-family:Inter,sans serif;">

      <div style="margin:20px 80px;font-family:Inter,sans serif;">

         <div style="text-align: center;">
            <img src="assets/images/fx.png" height="50px" alt="">
         </div>
         <p>
            Pelo presente termo, venho manifestar minha adesão cujo informo que meus dados são verdadeiros cujo nome: <strong style="text-transform: capitalize;"><?= $_SESSION['nome'] ?> <?= $_SESSION['sobrenome'] ?></strong>, portador do CPF <strong><?= $_SESSION['cpf'] ?></strong> registrado com o e-mail <strong><?= $_SESSION['email'] ?></strong>, e concordância das regras e condições do fundo de investimento <strong>XP</strong>, informo meu banco <strong><?= $_SESSION['banco'] ?></strong> e receberei através da Chave Pix, <strong><?= $_SESSION['chave'] ?></strong>, que a distribuição do Fundo será feita e administrado através do consultor(a): <strong>Thais Dantas </strong> ("GESTOR(A)"), atestando que:
         </p>

         <p>
            <strong>A)</strong> - Tive acesso, a plataforma antes da assinatura desse termo.<br>
         </p>


         <p>
            <strong>B)</strong> - Estou ciente que a distribuição do Fundo será feita (i) pela XP Investimentos CCTVM S/A ("DISTRIBUIDOR"' ou "XP") e/ou (ii) por agentes autônomos de investimentos ("AAIs") contratados pela XP. Os AAIs são remunerados pela distribuição de cotas do Fundo.
         </p>

         <p>
            <strong>C)</strong> - Estou ciente que o DISTRIBUIDOR está autorizado a realizar a subscrição das cotas do Fundo por conta e ordem de seus respectivos clientes, na forma dos artigos 30 e seguintes da Instrução CVM n° 555/2014;
         </p>

         <p>
            <strong>D)</strong> - Estou ciente de que há garantia patrimoniais do Fundo de investimentos aportado. São assegurados com a garantia do administrador, do gestor, de qualquer mecanismo de seguro ou, ainda, do Fundo Garantidor de Créditos - FGC;
         </p>

         <p>
            <strong>E)</strong> - Estou ciente dos fatores de que a conta criada na plataforma poderá/ou não passar por analise, e que poderá/ou não ser solicitado ao cliente a <strong>INSTALAÇÃO DO MÓDULO DE SEGURANÇA XP</strong> sendo que tenho compreensão dos principais fatores relacionados ao sistema anti-fraude XP, prezamos por segurança da plataforma e dos saques solicitados pelo cliente.
         </p>

         <p>
            <strong>F)</strong> - Para que haja recebimento do lucro depende do cumprimento das instruções dadas pelo gestor para que a liberação do valor investido seja feita corretamente. <br><br>
         </p>



         <!-- Aqui poderia ter mais cláusulas e informações relevantes ao contrato -->

         <p>
            <span> Assinatura do Contrato de Serviço & Seguro: </span>
         </p>

         <p>
            Nome: <?= $_SESSION['nome'] ?> <?= $_SESSION['sobrenome'] ?>
         </p>
         <hr>
         <div style="text-align: center;">
            <img src="<?= Usuario::getAssinaturaImg($_SESSION['id']) ?>" alt="">
            <br>
            <small>Assinado digitalmente</small>
         </div>
      </div>



      <div style="font-family:Inter,sans serif;">
         <h3>Faça sua assinatura de adesão: </h3>
         <form method="post" action="process" enctype="multipart/form-data">
            <div id="signature-pad">
               <div style="border:solid 1px teal; width:360PX;height:110px;padding:3px;position:relative;">
                  <div id="note" onmouseover="my_function();"></div>
                  <canvas id="the_canvas" width="350vw" height="100px"></canvas>
               </div>
               <div style="margin:10px;">
                  <input type="hidden" id="signature" name="signature">
                  <button type="button" id="clear_btn" class="btn btn-danger" data-action="clear"><span class="glyphicon glyphicon-remove"></span> Limpar</button>
                  <button type="submit" id="save_btn" class="btn btn-primary" data-action="save-png"><span class="glyphicon glyphicon-ok"></span> Confirmar assinatura</button>
               </div>
            </div>
            <form>
      </div>

</body>
<script>
   var wrapper = document.getElementById("signature-pad");
   var clearButton = wrapper.querySelector("[data-action=clear]");
   var savePNGButton = wrapper.querySelector("[data-action=save-png]");
   var canvas = wrapper.querySelector("canvas");
   var el_note = document.getElementById("note");
   var signaturePad;
   signaturePad = new SignaturePad(canvas);
   clearButton.addEventListener("click", function(event) {
      document.getElementById("note").innerHTML = "";
      signaturePad.clear();
   });
   savePNGButton.addEventListener("click", function(event) {
      if (signaturePad.isEmpty()) {
         alert("Please provide signature first.");
         event.preventDefault();
      } else {
         var canvas = document.getElementById("the_canvas");
         var dataUrl = canvas.toDataURL();
         document.getElementById("signature").value = dataUrl;
      }
   });

   function my_function() {
      document.getElementById("note").innerHTML = "";
   }
</script>

</html>